List the published activities of a course you can open
GET /api/member/courses/{courseId}/activities. List the published activities of a course you can open. Headless LMS Content API reference.
For a member of the organization. 404 when the course is not published or you do not hold it.
Path Parameters
courseId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/courses/string/activities"[ { "orgId": "string", "id": "string", "moduleId": "string", "courseId": "string", "seq": 0, "settings": null, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "assetUrls": { "property1": "string", "property2": "string" } }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the modules and activities of a course you can open GET
GET /api/member/courses/{courseId}/modules. List the modules and activities of a course you can open. Headless LMS Content API reference.
List the downloads you can open GET
GET /api/member/downloads. List the downloads you can open. Headless LMS Content API reference.